﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HIEGRP]') AND name = N'XHIEGRP1')
BEGIN 
PRINT 'Creating index XHIEGRP1 on table HIEGRP'
CREATE UNIQUE NONCLUSTERED INDEX [XHIEGRP1] ON [dbo].[HIEGRP] 
(
	[ALPH] ASC,
	[NUMB] ASC,
	[GROU] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HIEGRP]') AND name = N'XHIEGRP2')
BEGIN 
PRINT 'Creating index XHIEGRP2 on table HIEGRP'
CREATE UNIQUE NONCLUSTERED INDEX [XHIEGRP2] ON [dbo].[HIEGRP] 
(
	[GROU] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

